{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pencegahan Penularan Covid-19</title>
<style>
.accordion {
  background-color: #fbbedf;
  padding: 18px;
  width: 960px;
  text-align: left;
  font-size: 17px;
  line-height: 0px;
  border-color: #9f5f80;
}

button{
  width: 30px;
  height: 30px;
  background-color: #fbbedf;
  border-color: #9f5f80;
}

button:hover{
  background-color: #fad5ad;
}

.panel {
  width: 958px;
  padding: 0;
  margin-left: 69px;
  margin-bottom: 10px;
  background-color:rgb(195, 218, 236);
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  color: black;
}

.list {
  color: #30475e;
}
</style>
{% endblock meta %}

{% block content %}
<div style="background-color: white; padding: 70px;">
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 40px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h2 class="text-white" style="text-align: center; color: azure;">TATA CARA PENCEGAHAN PENULARAN COVID-19</h2>  
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <div class="container pt-5">
            <div class="row">
              <div class="col-md-12">
                <ul>
                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  PENCEGAHAN
                </button>
                <div class="panel">
                  <ul>
                    <li>Rajin mencuci tangan minimal 20 detik dengan sabun dan air bersih yang mengalir</li>
                    <li>Selalu perhatikan jarak fisik dengan orang lain yakni minimal 1 meter</li>
                    <li>Gunakan masker jika pergi keluar rumah. Hindari untuk menggunakan satu masker secara berulang-ulang</li>
                    <li>Hindari menyentuh wajah jika belum mencuci tangan hingga bersih</li>
                    <li>Terapkan etika bersin dan batuk dengan benar menggunakan siku tangan bagian dalam atau tisu bersih</li>
                    <li>Hindari interaksi secara langsung seperti berpelukan, berjabat tangan, dan lain sebagainya</li>
                    <li>Selalu gunakan barang sendiri dan hindari untuk meminjam barang pada orang lain</li>
                    <li>Konsumsi gizi yang seimbang. Perbanyak sayur dan buah-buahan</li>
                    <li>Jangan mengonsumsi daging yang tidak dimasak</li>
                    <li>Rajin berolahraga dan istirahat yang cukup</li>
                    <li>Hati-hati jika ingin kontak dengan hewan liar</li>
                    <li>Jika batuk, pilek, dan sesak napas segera menghubungi fasilitas kesehatan</li>
                  </ul>
                </div>
                </li>
                
                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  CARA MEMAKAI MASKER DENGAN BENAR
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/cara-memakai-masker-yang-benar.jpg' %}" alt="cara-memakai-masker-yang-benar" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  CARA MENCUCI TANGAN DENGAN BENAR
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/cuci-tangan-pakai-sabun.jpg' %}" alt="cuci-tangan-pakai-sabun" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  CARA MENGGUNAKAN DAN HANDSANITIZER
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/penggunaan-sabun-dan-handsanitizer.jpg' %}" alt="penggunaan-sabun-dan-handsanitizer" class="mx-auto d-block" style="max-height: 500px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  ETIKA BATUK YANG BAIK
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/etika-batuk-yang-baik.jpg' %}" alt="etika-batuk-yang-baik" class="mx-auto d-block" style="max-height: 600px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  SOCIAL/PHYSICAL DISTANCING
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/menjaga-jarak-social-distancing.jpg' %}" alt="menjaga-jarak-social-distancing" class="mx-auto d-block" style="max-height: 600px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  GERAKAN HIDUP SEHAT
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/gerakan-masyarakat-hidup-sehat.jpg' %}" alt="gerakan-masyarakat-hidup-sehat" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  ALUR PEMERIKSAAN DIRI
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/alur-pemeriksaan-diri.jpg' %}" alt="alur-pemeriksaan-diri" class="mx-auto d-block" style="max-height: 500px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  DI RUMAH SAJA JIKA TIDAK ADA KEPENTINGAN
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/yuk-di-rumah-saja.jpg' %}" alt="yuk-di-rumah-saja" class="mx-auto d-block" style="max-height: 600px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>

                <li class="list">
                <button onclick="move_down()">V</button>
                <button onclick="move_up()">^</button>
                <button class="accordion font-weight-bold">
                  PANDUAN WORK FROM HOME
                </button>
                <div class="panel">
                  <ul>
                    <img class="img-fluid" src="{% static 'img/panduan-work-from-home.jpg' %}" alt="panduan-work-from-home" class="mx-auto d-block" style="max-height: 500px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
                  </ul>
                </div>
                </li>
                </ul>
              </div>
            </div>
        </div>
    </article>

    <br>
    {% if user.is_authenticated %}
        <h2 class="font-weight-bold" style="color: rgb(5, 5, 5);">Tinggalkan komentar</h2>
        <form action="add_comment" method="POST">
            {% csrf_token %}
            <table class="table table-striped">
                {{ CommentForm.as_table }}
            </table>
            <input type="submit" class="btn btn-primary" value="Submit">
        </form>
        <table class="table">
            {% if persons %}
                {% for textData in persons %}
                <tr>
                    <td>
                        <div style="box-shadow: 0 4px 8px 0;
                        border-radius: 10px;
                        padding: 20px;
                        margin: 20px 20px 20px 20px;
                        background-color:#42305e;">
                            <p class="text-white" style="font-weight: bold;">{{textData.nama}}</p>
                            <p class="text-white">{{textData.created}}</p>
                            <div class="dropdown-divider"></div>
                            <p class="text-white">{{textData.komentar}}</p>
                        </div>
                    </td>
                    <td>
                        <td><a class="btn btn-danger" style="margin-top: 50px;" href="{% url 'main:delete' textData.id %}" title="">Delete</a></td>
                    </td>
                </tr>
                {% endfor %}
            {% endif %}
        </table>
    {% else %}
        <h2 class="font-weight-bold" style="color: rgb(5, 5, 5);">Daftar komentar</h2>
        <table class="table">
            {% if persons %}
                {% for textData in persons %}
                <tr>
                    <td>
                        <div style="box-shadow: 0 4px 8px 0;
                        border-radius: 10px;
                        padding: 20px;
                        margin: 20px 20px 20px 20px;
                        background-color:#42305e;">
                            <p class="text-white" style="font-weight: bold;">{{textData.nama}}</p>
                            <p class="text-white">{{textData.created}}</p>
                            <div class="dropdown-divider"></div>
                            <p class="text-white">{{textData.komentar}}</p>
                        </div>
                    </td>
                </tr>
                {% endfor %}
            {% endif %}
        </table>
    {% endif %}
</div>
{% endblock content %}